SDL_GetGPUSwapchainTextureFormat(3)

NAME
SDL_GetGPUSwapchainTextureFormat - Obtains the texture format of the swapchain for the given window.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

SDL_GPUTextureFormat SDL_GetGPUSwapchainTextureFormat(
    SDL_GPUDevice *device,
    SDL_Window *window);

DESCRIPTION
Note that this format can change if the swapchain parameters change.

FUNCTION PARAMETERS

device
    a GPU context.

window
    an SDL_Window that has been claimed.

RETURN VALUE
Returns the texture format of the swapchain.

AVAILABILITY
This function is available since SDL 3.2.0.